#
# Conditional build:
%bcond_without  doc	# Sphinx documentation
%bcond_without	tests	# unit tests

%define 	module	flask
Summary:	A microframework based on Werkzeug, Jinja2 and good intentions
Summary(pl.UTF-8):	Mikroszkielet oparty na Werkzeugu, Jinja2 i dobrych intencjach
Name:		python3-%{module}
Version:	3.1.0
Release:	1
License:	BSD
Group:		Development/Languages/Python
#Source0Download: https://pypi.python.org/simple/Flask
Source0:	https://files.pythonhosted.org/packages/source/F/Flask/flask-%{version}.tar.gz
# Source0-md5:	c95d81666442bf04f7de7db7edbe2aff
Patch0:		0001-Don-t-require-sphinxcontrib.log_cabinet-extension.patch
URL:		https://flask.palletsprojects.com/
%if %{with tests} && %(locale -a | grep -q '^C\.UTF-8$'; echo $?)
BuildRequires:	glibc-localedb-all
%endif
BuildRequires:	python3-build
BuildRequires:	python3-installer
BuildRequires:	python3-devel >= 1:3.7
BuildRequires:	python3-setuptools
%if %{with tests}
# optional
#BuildRequires:	python3-asgiref >= 3.2
#BuildRequires:	python3-blinker
BuildRequires:	python3-click >= 8.0
#BuildRequires:	python3-dotenv
%if "%{_ver_lt '%{py3_ver} '3.10'}" == "1"
BuildRequires:	python3-importlib_metadata >= 3.6.0
%endif
BuildRequires:	python3-itsdangerous >= 2.0
BuildRequires:	python3-jinja2 >= 3.0
BuildRequires:	python3-pytest
BuildRequires:	python3-werkzeug >= 2.2.2
%endif
%if %{with doc}
BuildRequires:	python3-pallets-sphinx-themes
BuildRequires:	python3-sphinx_issues
BuildRequires:  python3-sphinx_tabs
BuildRequires:	sphinx-pdg-3
%endif
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.749
Requires:	python3-modules >= 1:3.7
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Flask is a microframework for Python based on Werkzeug, Jinja 2 and
good intentions.

%description -l pl.UTF-8
Flask to mikroszkielet dla Pythona oparty na modułach Werkzeug i
Jinja2 oraz dobrych intencjach.

%package apidocs
Summary:	Documentation for Python Flask package
Summary(pl.UTF-8):	Dokumentacja do pakietu Pythona Flask
Group:		Documentation

%description apidocs
Documentation for Python Flask package.

%description apidocs -l pl.UTF-8
Dokumentacja do pakietu Pythona Flask.

%prep
%setup -q -n flask-%{version}
%patch -P 0 -p1

%build
%py3_build_pyproject

%if %{with tests}
%{__python3} -m zipfile -e build-3/*.whl build-3-test
# use explicit plugins list for reliable builds (delete PYTEST_PLUGINS if empty)
PYTEST_DISABLE_PLUGIN_AUTOLOAD=1 \
PYTEST_PLUGINS= \
%{__python3} -m pytest -o pythonpath="$PWD/build-3-test" tests
%endif

%if %{with doc}
%{__python3} -m zipfile -e build-3/*.whl build-3-doc
PYTHONPATH=$(pwd)/build-3-doc \
%{__make} -C docs html \
	SPHINXBUILD=sphinx-build-3
%endif

%install
rm -rf $RPM_BUILD_ROOT

%py3_install_pyproject

%{__mv} $RPM_BUILD_ROOT%{_bindir}/flask{,-3}

install -d $RPM_BUILD_ROOT%{_examplesdir}/python3-%{module}-%{version}
cp -a examples/* $RPM_BUILD_ROOT%{_examplesdir}/python3-%{module}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGES.rst LICENSE.txt README.md
%attr(755,root,root) %{_bindir}/flask-3
%{py3_sitescriptdir}/flask
%{py3_sitescriptdir}/flask-%{version}.dist-info
%{_examplesdir}/python3-%{module}-%{version}

%if %{with doc}
%files apidocs
%defattr(644,root,root,755)
%doc docs/_build/html/{_images,_static,deploying,patterns,tutorial,*.html,*.js}
%endif
%changelog
* Sun May 04 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python3-flask.git;a=log;h=auto/th/python3-flask-3.1.0-1

* Sun May 04 2025 Arkadiusz Miśkiewicz <arekm@maven.pl> 1136672
- Up to 3.1.0

* Tue Mar 11 2025 Jan Rękorajski <baggins@pld-linux.org> bfff007
- doc/test rebuild for python 3.13

* Mon Mar 10 2025 Jan Rękorajski <baggins@pld-linux.org> 907fb93
- python 3.13 rebuild

* Sun Mar 09 2025 Jan Rękorajski <baggins@pld-linux.org> f78f882
- use patch -P

* Fri Oct 13 2023 Jakub Bogusz <qboosh@pld-linux.org> d5f2193
- updated to 2.2.5

* Wed Dec 21 2022 Arkadiusz Miśkiewicz <arekm@maven.pl> 9b5b727
- Up to 2.2.2

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> 0a620b1
- rebuild with tests and docs

* Sat Mar 26 2022 Jan Rękorajski <baggins@pld-linux.org> fbb8cfe
- rebuild with python 3.10

* Wed Oct 13 2021 Arkadiusz Miśkiewicz <arekm@maven.pl> a305f6b
- Update to 2.0.2 (supports python 3.6+)

* Wed Oct 13 2021 Arkadiusz Miśkiewicz <arekm@maven.pl> a2e078c
- Rediff patch.

* Sat Feb 27 2021 Jan Rękorajski <baggins@pld-linux.org> 792dfac
- release 2 (by relup.sh)

* Wed Jan 27 2021 Jakub Bogusz <qboosh@pld-linux.org> 646195a
- updated to 1.1.2

* Fri Jan 17 2020 Arkadiusz Miśkiewicz <arekm@maven.pl> 5242728
- up to 1.1.1

* Sun Nov 03 2019 Jan Rękorajski <baggins@pld-linux.org> bab80cd
- release 3 (by relup.sh)

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> 744fd32
- rebuild with python 3.8
- release 2 (by relup.sh)

* Thu Nov 08 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 590f22a
- up to 1.0.2 but building with tests/doc fails

* Mon Jul 02 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 2a80de6
- release 2 (by relup.sh)

* Mon Mar 13 2017 Jakub Bogusz <qboosh@pld-linux.org> 6835432
- updated to 0.12
- added python3.6 patch (fixes tests with python 3.6
- run tests, build -apidocs

* Thu Dec 29 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> a5f5168
- python 3.6
- release 5 (by relup.sh)

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> b057849
- BR: rpmbuild(macros) >= 1.710

